Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161256 - Context menu's "copy" doesn't copy to other apps
Summary: Context menu's "copy" doesn't copy to other apps
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 4
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-21 19:47 UTC by Taylor Stearns
Modified: 2018-04-11 08:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-02 17:01:05 UTC


Attachments (Terms of Use)

Description Taylor Stearns 2005-06-21 19:47:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
The context menu that appears when right-clicking on a piece of text in a message has a "Copy" button at the top of it, which does not exhibit expected behavior.

After using that button to copy a piece of text, no other application (Firefox, Gedit, Gnome-Terminal, etc) will recognize that there is anything pastable, whether through context menus of keyboard shortcuts (Ctrl-V, Ctrl-Shift-V, Shift-Ins).

Evolution recognizes its own clipboard contents and will paste what has been copied into e.g. a new message.  But no other app will paste what Evolution has copied from its context menu action.

However, text that is copied from Evolution via 'Ctrl-C' is recognized by other applications and is pasteable.  This is an easy but less intuitive workaround.

Version-Release number of selected component (if applicable):
evolution-2.2.2-5

How reproducible:
Always

Steps to Reproduce:
1. Right click on a text selection from within an Evolution mail message.
2. Click the "Copy" button.

Actual Results:  Evolution recognizes its new clipboard contents but no other app does.

Expected Results:  Other applications should be able to paste what Evolution copied.

Additional info:

Comment 1 Dave Malcolm 2007-01-08 17:17:13 UTC
Thanks for filing this bug report.  I'm sorry that it has gone for so long
without activity; it was incorrectly assigned to me by bugzilla.

Reassigning to mbarnes; once again, my apologies for my lack of activity on this
bug.


Comment 2 Christian Iseli 2007-01-20 00:52:26 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 Matěj Cepl 2007-08-31 15:20:20 UTC
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.

Comment 4 Matthew Barnes 2007-10-02 17:01:05 UTC
Closing as INSUFFICIENT_DATA.


Note You need to log in before you can comment on or make changes to this bug.